<template>
  <div class="vision-section">
    <div class="container">
      <div class="left">
        <h2>{{ _.get(home_data, "attributes.vision_header") }}</h2>

        <AppImg :src="arrow_image" />
      </div>

      <div class="right">
        <h5>
          {{ _.get(home_data, "attributes.vision_message") }}
        </h5>
      </div>
    </div>
  </div>
</template>

<script>
import _ from "lodash";

export default {
  props: {
    home_data: {
      type: Object,
      default: () => {
        return {};
      },
    },
  },
  data() {
    return {
      arrow_image: require("~/assets/images/arrow_bottom_right.png"),
    };
  },
  computed: {
    _() {
      return _;
    },
  },
};
</script>

<style lang="scss" scoped>
.vision-section {
  background: $color-primary-500;
  color: white;
  padding: 80px 0;
  @include media-breakpoint(mobile) {
    padding: 40px 0;
  }
  .container {
    display: flex;
    @include media-breakpoint(mobile) {
      display: block;
    }
    > div {
      width: 50%;
      @include media-breakpoint(mobile) {
        width: 100%;
      }
    }
    .left {
      img {
        width: 100%;
        margin-top: 40px;
      }
    }
    .right {
      padding-left: 80px;
      display: flex;
      align-items: flex-end;
      @include media-breakpoint(mobile) {
        padding-left: 0;
        margin-top: 40px;
      }
      h5 {
        font-weight: normal;
      }
    }
  }
}
</style>
